######################### We start with some black magic to print on failure.

# Change 1..1 below to 1..last_test_to_print .
# (It may become useful if the test is moved to ./t subdirectory.)

BEGIN { $| = 1; print "1..7\n"; };
END {print "not ok 1\n" unless $loaded;}
use Math::Quaternion qw(qtrn qtrn_vrotate);
$loaded = 1;
print "ok 1\n";

######################### End of black magic.

use Config;
$^W = 1;

my $package_name = "Math::Quaternion";
my $a180 = atan2(1.0, 1.0) * 4;

my $q1 = Math::Quaternion->new(12.7, 0.0, 3.12);
print "not " if (ref $q1 ne $package_name);
print "ok 2\n";

my $q2 = $q1->_clone();
print "not " if (ref $q2 ne $package_name);
print "ok 3\n";

my $q3 = Math::Quaternion->new($q1->parts());
print "not " if (ref $q3 ne $package_name);
print "ok 4\n";

my $q4 = $q1;
print "not " if (ref $q4 ne $package_name);
print "ok 5\n";

my $q5 = qtrn($q1->parts());
print "not " if (ref $q5 ne $package_name);
print "ok 6\n";

my $q6 = qtrn_vrotate($a180, 0.0, 1.0, 0.0);
print "not " if (ref $q6 ne $package_name);
print "ok 7\n";

1;
